import React, { Component } from 'react';
 import { Button, StyleSheet, View, NativeModules, NativeEventEmitter } from 'react-native';

import RazorpayCheckout from 'react-native-razorpay';
import userDefaults from 'react-native-user-defaults'


 export default class RazorPayComponent extends Component {
  constructor(props) {
    super(props);
    this.state = {
        amount: ''
    }
  }

  componentWillMount() {  
    this.setState({ amount: userDefaults.get("amount") });
    console.log('Amount:' + this.state.amount);
  }

  onPressButton() {
    var options = {
      description: 'ECommerce Shopping',
      image: 'https://i.imgur.com/3g7nmJC.png',
      currency: 'USD',
      key: 'rzp_test_EnYoyrPqrIyaYH',
      amount: this.state.amount,
      external: {
        wallets: ['paytm']
      },
      name: 'E-Shop',
      order: 'order_DslnoIgkIDL8Zt',
      prefill: {
        email: 'megha.neema@razorpay.com',
        contact: '9977145213',
        name: 'Test User'
      },
      theme: {color: '#F37254'}
    }
    RazorpayCheckout.open(options).then((data) => {
      // handle success
      alert(`Transaction Successful \n ${data.razorpay_payment_id}`);
      this.props.navigation.pop();
    }).catch((error) => {
      // handle failure
      alert(`Error: ${error.code} | ${error.description}`);
      this.props.navigation.pop();
    });
    RazorpayCheckout.onExternalWalletSelection(data => {
      alert(`External Wallet Selected: ${data.external_wallet} `);
      this.props.navigation.pop();
    });
      }

  render() {
    return (

      <View style={styles.container}>
      <View style={styles.buttonContainer}>
      {this.onPressButton()}   
      </View>
      </View>
      );
  }
}

const styles = StyleSheet.create({
  container: {
   flex: 1,
   justifyContent: 'center',
 },
 buttonContainer: {
  margin: 20
},
alternativeLayoutButtonContainer: {
  margin: 20,
  flexDirection: 'row',
  justifyContent: 'space-between'
}
});
